## indi-dsi 0.4+20220611123426

=== debian/changelog ===
indi-dsi (0.4+20220611123426-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:34:36 +0000
