=== debian/changelog ===
indi-dsi (0.4+20221223123028-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113016)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Sep 2025 09:31:43 +0200

indi-dsi (0.4+20221223123028-2) unstable; urgency=medium

  * debian/control: add dh-sequence-movetousr as Build-Depends:
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 May 2024 19:31:43 +0200

indi-dsi (0.4+20221223123028-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 12:31:43 +0000
