=== debian/control ===
Source: indi-dsi
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, dh-sequence-movetousr
Standards-Version: 4.7.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-dsi
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-dsi.git

Package: indi-dsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Meade DSI Pro I/II/III
 This package contains an INDI driver for Meade DSI Pro I/II/III cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
